Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.l10n
Class InterpolationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.richfaces.l10n.InterpolationException

All Implemented Interfaces:
  Serializable

    public class InterpolationException

extends Exception

Author:
  Nick Belaevski
See Also:
  Serialized Form

Constructor Summary
`InterpolationException()`
`InterpolationException(String message)`
`InterpolationException(String message, Throwable cause)`
`InterpolationException(Throwable cause)`

Method Summary
`String` | `getMessageKey()`
`InterpolationException` | `initMessageKey(String messageKey)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InterpolationException

    public InterpolationException()

### InterpolationException

    public InterpolationException(String message,
                                  Throwable cause)

Parameters:
  `message` -
  `cause` -

### InterpolationException

    public InterpolationException(String message)

Parameters:
  `message` -

### InterpolationException

    public InterpolationException(Throwable cause)

Parameters:
  `cause` -

Method Detail

### initMessageKey

    public InterpolationException initMessageKey(String messageKey)

### getMessageKey

    public String getMessageKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.